win2003/2008/linux虚拟主机常见组件版本支持情况(包含反解析)

 

虚拟主机常用组件版本支持情况

组件

Linux

windows2003

windows2008

版本信息

说明

php memcache 支持支持支持2.2.5若未安装,可更换到linux系统,或者提交工单反馈。
php sendmail  不支持 不支持 不支持
可用PHPMailer模块替代
php openssl支持支持支持

php curl支持支持支持

gzip压缩支持不支持支持
港台主机、存在CDN的主机检测不到,但实际是支持的,win2003开启360防护,开启后可以检测到gzip效果
php zip支持支持支持1.8.11
php GD库支持支持支持2.0.34
php sockets支持支持支持

rewrite重写支持支持支持

php pdo_mysql支持支持支持5.0.51a
asp Jmail不支持支持支持4.3.0
asp FSO不支持支持支持

asp 动易组件不支持支持支持

php exif支持支持支持
若未安装,可更换到linux系统。
zend optimizer支持支持支持   3.3.0
Zend Guard Loader支持支持支持3.3需要在主机控制面板php版本设置里面切换到5.3或者5.4
asp 刘云峰上传组件不支持支持支持

ASPUpload上传组件不支持支持支持3.0.0.5
php iconv支持支持支持

php zend framework支持支持支持
推荐使用linux系统
php mbstring支持支持支持

ASPEncode
不支持支持支持
linux系统不支持asp
php fsockopen支持支持支持

php ioncube
支持支持支持
ionCube是加密PHP的工具
 
虚拟主机服务端版本支持情况

环境

linux系统

windows2003

windows2008

版本信息

说明

IIS不支持iis6.0iis7/iis7.5/iis8

Apache2.2.22不支持不支持

Mysql支持支持支持5.1.x需要5.5版本请提交工单更换
PHP5.2.17/5.3.27/5.4.28/5.5.16/5.6/7.05.2.17/5.4.28 5.2.17p1/5.3.27/5.4.28/5.5.16/5.6/7.0
主机控制面板php版本 可切换,linux切换后可进入others目录编辑php.ini
Javajava主机支持不支持不支持
支持Servlet2.4,jsp2.0,Struts1,Struts2,Spring,Hibernate,proxool,javamail等
Tomcatjava主机支持不支持不支持5.5.27/6.0.18/7.0若主机控制面板不能切换7.0,提交工单更换
JDKjava主机支持不支持不支持JDK 1.6/1.7tomcat 5.5.27/6.0.18使用jdk1.6,tomcat7.0使用jdk1.7
MVC框架不支持支持支持
需要mvc4请选择windows2008系统,mvc5需要单独安装
ASP.NET不支持支持/2.0/3.5/4.0支持/2.0/3.5/4.0/4.52.0/3.5/4.0/4.5支持asp.net的主机均支持,4.5需要windows2008系统(4.5.1|4.5.2请联系我司单独安装)
Python不支持不支持不支持
请购买vps弹性云配置运行环境
Node.js不支持不支持不支持
建议购买云主机自己部署环境
Sqlite已安装支持支持3.7.9linux已安装,windows支持php扩展


 

注: 如果还有其他不清楚的,请提交工单咨询。 如果虚拟主机不能开启支持,建议升级成vps、云主机。 非常规组件需要收费注册,价格100元/个。 注册方法:将组件上传到网站目录,并需要提供组件的源文件以及组件用途和使用方法说明,提交工单说明,同时通过我公司工程师审核后方可注册,申请时请保证账户有充足余额。


支持反向解析的机房: 电信机房211.149.*.*段、北京BGP机房、美国机房支持(美国SK机房不支持),费用300元一次,提交工单由机房处理。


编辑:西部数码
日期:2015-01-03

收藏 】 【 打印 】   
上一篇:虚拟主机gzip支持情况
下一篇:域名注册人填写错误怎么修改域名所有者信息?
NewG首选平台 注册低至4元 新手福利 注册送125元 1G云虚拟主机 188元/年 免备案香港云虚拟主机全新升级 云主机特惠价低至36元
  >> 相关文章